export declare function setBaseRoutes(modules: Record<string, any>): void;
export declare function hydrateBaseRoutes(): void;
export declare function ensureUniqueRouteName(item: any): string;
export declare function isBaseReady(): boolean;
/**
 * @description 初始化动态路由
 */
export declare function initDynamicRouter(focus?: boolean): Promise<undefined>;
/**
 * 统一 path，只保留 /views/ 及其后面的部分
 * @param path 原始路径
 * @returns 统一后的路径
 */
export declare function normalizePath(path: string): string;
/**
 * 去重 modules
 * @param modules 原始数据
 * @returns 去重后的路径
 */
export declare function newSetModules(modules: Record<string, any>): Record<string, any>;
